# phpMyAdmin MySQL-Dump
# version 2.3.2
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Generation Time: Feb 20, 2003 at 11:45 AM
# Server version: 3.23.54
# PHP Version: 4.2.3
# Database : `db_phpquiz`
# E-mail : webmaster@phpquiz.com
# --------------------------------------------------------

#
# Table structure for table `alert_news`
#

CREATE TABLE alert_news (
  ID int(11) NOT NULL auto_increment,
  LONGID varchar(32) NOT NULL default '0',
  OBJET varchar(255) NOT NULL default '',
  TEXTE text NOT NULL,
  TEXTE_AUTO text NOT NULL,
  SEE_QUIZ char(1) NOT NULL default 'N',
  SEE_QUIZ_DATE_IN datetime NOT NULL default '0000-00-00 00:00:00',
  SEE_QUIZ_DATE_OUT datetime NOT NULL default '0000-00-00 00:00:00',
  SEE_SCORE char(1) NOT NULL default 'N',
  SEE_PLAY char(1) NOT NULL default 'N',
  SEE_OWN_QUIZ char(1) NOT NULL default 'N',
  SEE_UNSUBSCRIBE char(1) NOT NULL default 'N',
  DATE_ENVOI datetime NOT NULL default '0000-00-00 00:00:00',
  TOTAL_ENVOI int(11) NOT NULL default '0',
  FEED_BACK int(11) NOT NULL default '0',
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `annee`
#

CREATE TABLE annee (
  ANNEE_ID smallint(6) NOT NULL auto_increment,
  ANNEE smallint(6) NOT NULL default '0',
  PRIMARY KEY  (ANNEE_ID),
  UNIQUE KEY ANNEE_ID (ANNEE_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `associate_partner`
#

CREATE TABLE associate_partner (
  ID tinyint(4) NOT NULL auto_increment,
  NAME text NOT NULL,
  LINK text NOT NULL,
  IMG char(1) NOT NULL default '0',
  ORD int(11) NOT NULL default '0',
  ACTIVED char(1) NOT NULL default 'N',
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `associate_partner_idem`
#

CREATE TABLE associate_partner_idem (
  ID int(11) NOT NULL auto_increment,
  QUIZ_ID int(11) NOT NULL default '0',
  QUIZ_ID_IDEM int(11) NOT NULL default '0',
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `associate_partner_link`
#

CREATE TABLE associate_partner_link (
  ID int(11) NOT NULL auto_increment,
  QUIZ_ID int(11) NOT NULL default '0',
  PARTNER tinyint(4) NOT NULL default '0',
  UNIVERS mediumint(9) NOT NULL default '0',
  LINK text NOT NULL,
  NAME text NOT NULL,
  POPUP char(1) NOT NULL default '0',
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `associate_partner_univers`
#

CREATE TABLE associate_partner_univers (
  ID mediumint(9) NOT NULL auto_increment,
  PARTNER tinyint(4) NOT NULL default '0',
  NAME text NOT NULL,
  LOGO tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `auteur`
#

CREATE TABLE auteur (
  AUTEUR_ID int(11) NOT NULL auto_increment,
  JOUEUR_ID int(11) NOT NULL default '0',
  SEE_LOGIN char(1) NOT NULL default 'Y',
  SEE_EMAIL char(1) NOT NULL default 'N',
  PRIMARY KEY  (AUTEUR_ID),
  UNIQUE KEY AUTEUR_ID (AUTEUR_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `auteur_submit`
#

CREATE TABLE auteur_submit (
  AUTEUR_ID int(11) NOT NULL auto_increment,
  JOUEUR_ID int(11) NOT NULL default '0',
  SEE_LOGIN char(1) NOT NULL default 'Y',
  SEE_EMAIL char(1) NOT NULL default 'N',
  PRIMARY KEY  (AUTEUR_ID),
  UNIQUE KEY AUTEUR_ID (AUTEUR_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `difficult`
#

CREATE TABLE difficult (
  D_ID tinyint(4) NOT NULL auto_increment,
  D_TEXT varchar(64) NOT NULL default '',
  PRIMARY KEY  (D_ID),
  UNIQUE KEY D_ID (D_ID)
) TYPE=MyISAM;

# Data for table `difficult`
INSERT INTO difficult VALUES (1, 'facile'), (2, 'moyen'), (3, 'difficile');
# --------------------------------------------------------

#
# Table structure for table `partie`
#

CREATE TABLE partie (
  P_ID int(11) NOT NULL auto_increment,
  JOUEUR_ID int(11) NOT NULL default '0',
  QUESTIONS text NOT NULL,
  REPONSES text,
  QUIZ_ID int(11) NOT NULL default '0',
  P_UNIVERS int(11) default NULL,
  P_TITRE varchar(255) NOT NULL default '0',
  P_SAVE char(1) NOT NULL default 'N',
  P_DATE datetime default '0000-00-00 00:00:00',
  CHRONO_START datetime NOT NULL default '0000-00-00 00:00:00',
  CHRONO_FLAG char(1) NOT NULL default 'N',
  CHRONO_STOP datetime NOT NULL default '0000-00-00 00:00:00',
  CHRONO smallint(6) NOT NULL default '0',
  PRIMARY KEY  (P_ID),
  UNIQUE KEY P_ID (P_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `question`
#

CREATE TABLE question (
  Q_ID int(11) NOT NULL auto_increment,
  Q_TEXT text NOT NULL,
  Q_REP1 int(11) NOT NULL default '0',
  Q_REP2 int(11) NOT NULL default '0',
  Q_REP3 int(11) NOT NULL default '0',
  Q_DIFFICULT tinyint(4) NOT NULL default '0',
  Q_THEME int(11) NOT NULL default '0',
  Q_UNIVERS int(11) NOT NULL default '0',
  Q_ANNEE smallint(6) NOT NULL default '0',
  Q_IMG tinyint(4) NOT NULL default '0',
  AUTEUR_ID int(11) NOT NULL default '1',
  BACK_ID int(11) NOT NULL default '1',
  USERS_TRUE int(11) default NULL,
  USERS_TOTAL int(11) default NULL,
  Q_DATE datetime NOT NULL default '0000-00-00 00:00:00',
  QUIZ_ID int(11) NOT NULL default '0',
  Q_ONLINE char(1) NOT NULL default 'N',
  PRIMARY KEY  (Q_ID),
  UNIQUE KEY Q_ID (Q_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `question_submit`
#

CREATE TABLE question_submit (
  Q_ID int(11) NOT NULL auto_increment,
  Q_TEXT text NOT NULL,
  Q_REP1 varchar(255) NOT NULL default '',
  Q_REP1_THEME int(11) NOT NULL default '0',
  Q_REP2 varchar(255) NOT NULL default '',
  Q_REP2_THEME int(11) NOT NULL default '0',
  Q_REP3 varchar(255) NOT NULL default '',
  Q_REP3_THEME int(11) NOT NULL default '0',
  Q_DIFFICULT tinyint(4) NOT NULL default '0',
  Q_THEME int(11) NOT NULL default '0',
  Q_UNIVERS int(11) NOT NULL default '0',
  Q_ANNEE smallint(6) NOT NULL default '0',
  Q_ANNEE_VAL smallint(6) NOT NULL default '0',
  Q_IMG tinyint(4) NOT NULL default '0',
  AUTEUR_ID int(11) NOT NULL default '0',
  BACK_ID int(11) NOT NULL default '0',
  Q_DATE datetime default '0000-00-00 00:00:00',
  QUIZ_ID int(11) NOT NULL default '0',
  Q_ONLINE char(1) NOT NULL default 'N',
  PRIMARY KEY  (Q_ID),
  UNIQUE KEY Q_ID (Q_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `quiz`
#

CREATE TABLE quiz (
  QUIZ_ID int(11) NOT NULL auto_increment,
  QUIZ_TITRE varchar(255) NOT NULL default '',
  QUIZ_QUESTIONS text NOT NULL,
  QUIZ_UNIVERS int(11) NOT NULL default '0',
  QUIZ_DIFFICULT tinyint(4) NOT NULL default '0',
  QUIZ_IMG tinyint(4) NOT NULL default '0',
  AUTEUR_ID int(11) NOT NULL default '1',
  QUIZ_ONLINE char(1) NOT NULL default 'N',
  QUIZ_DATE datetime NOT NULL default '0000-00-00 00:00:00',
  QUIZ_PLAYED int(11) NOT NULL default '0',
  PRIMARY KEY  (QUIZ_ID),
  UNIQUE KEY QUIZ_ID (QUIZ_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `quiz_submit`
#

CREATE TABLE quiz_submit (
  QUIZ_ID int(11) NOT NULL auto_increment,
  QUIZ_TITRE varchar(255) NOT NULL default '',
  QUIZ_TITRE_CHECKED char(1) NOT NULL default 'N',
  QUIZ_QUESTIONS text NOT NULL,
  QUIZ_UNIVERS int(11) NOT NULL default '0',
  QUIZ_IMG tinyint(4) NOT NULL default '0',
  AUTEUR_ID int(11) NOT NULL default '0',
  QUIZ_ONLINE char(1) NOT NULL default 'N',
  CONFIRM_AUTEUR char(1) NOT NULL default 'N',
  QUIZ_DATE datetime NOT NULL default '0000-00-00 00:00:00',
  QUIZ_CREATED char(1) NOT NULL default 'N',
  QUIZ_CREATED_ID int(11) NOT NULL default '0',
  QUIZ_CREATED_TESTED char(1) NOT NULL default 'N',
  RELANCE_EMAIL tinyint(4) NOT NULL default '0',
  RELANCE_EMAIL_DATE datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (QUIZ_ID),
  UNIQUE KEY QUIZ_ID (QUIZ_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `score`
#

CREATE TABLE score (
  S_ID int(11) NOT NULL auto_increment,
  JOUEUR_ID int(11) NOT NULL default '0',
  QUIZ_ID int(11) NOT NULL default '0',
  QUIZ_UNIVERS int(11) NOT NULL default '0',
  SCORE int(11) NOT NULL default '0',
  CHRONO smallint(6) NOT NULL default '0',
  S_DATE datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (S_ID),
  UNIQUE KEY S_ID (S_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `session`
#

CREATE TABLE session (
  LOGIN varchar(32) NOT NULL default '',
  TIME varchar(14) NOT NULL default '',
  IP varchar(20) NOT NULL default '',
  INVITE int(1) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `specials`
#

CREATE TABLE specials (
  ID tinyint(4) NOT NULL auto_increment,
  OPEN tinytext NOT NULL,
  CLOSE tinytext NOT NULL,
  INFOS tinytext NOT NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;

INSERT INTO specials VALUES (1,'&quot;','&quot;','Entre guillemets');
# --------------------------------------------------------

#
# Table structure for table `static`
#

CREATE TABLE static (
  ID int(11) NOT NULL auto_increment,
  QUIZ_ID int(11) NOT NULL default '0',
  DESCRIPTION text NOT NULL,
  KEYWORDS text NOT NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `status`
#

CREATE TABLE status (
  Q_STATUS tinyint(4) NOT NULL auto_increment,
  Q_TITRE varchar(32) NOT NULL default '',
  PRIMARY KEY  (Q_STATUS),
  UNIQUE KEY Q_STATUS (Q_STATUS)
) TYPE=MyISAM;

INSERT INTO status VALUES (1,'Joueur'), (2,'Editeur'), (3,'Administrateur');

# --------------------------------------------------------

#
# Table structure for table `theme`
#

CREATE TABLE theme (
  T_ID int(11) NOT NULL auto_increment,
  T_TEXT text NOT NULL,
  T_TEXT_AFF text NOT NULL,
  UNIVERS_ID int(11) NOT NULL default '0',
  T_ONLINE char(1) NOT NULL default 'N',
  PRIMARY KEY  (T_ID),
  UNIQUE KEY T_ID (T_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `univers`
#

CREATE TABLE univers (
  U_ID int(11) NOT NULL auto_increment,
  U_TEXT text NOT NULL,
  U_TEXT_AFF text NOT NULL,
  U_ONLINE char(1) NOT NULL default 'N',
  U_PLAYED int(11) NOT NULL default '0',
  PRIMARY KEY  (U_ID),
  UNIQUE KEY U_ID (U_ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `user`
#

CREATE TABLE user (
  ID int(11) NOT NULL auto_increment,
  LONGID varchar(32) NOT NULL default '0',
  LOGIN varchar(64) NOT NULL default '',
  PWD varchar(64) NOT NULL default '',
  NAME varchar(64) default NULL,
  EMAIL varchar(64) default NULL,
  EMAIL_ALERT char(1) NOT NULL default 'N',
  LAST_ALERT int(11) NOT NULL default '0',
  LAST_FEED_BACK int(11) NOT NULL default '0',
  REGISTRED datetime default '0000-00-00 00:00:00',
  LASTVISIT datetime default '0000-00-00 00:00:00',
  STATUS tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID)
) TYPE=MyISAM;

# Data for table `user`
# Application Administrator
INSERT INTO user VALUES (1, 'aaJieD548EdmlSD58E7f3d5f8d4dfRre', 'admin', 'quizmaster', 'Administrateur du site', 'webmaster@phpquiz.com', 'Y', 0, 0, '2003-01-01 00:00:01', '2003-01-01 00:00:01', 3);
